/// <reference path="../types/recompose.d.ts" />
/// <reference types="recompose" />
export declare type DelayedHandler = (...args: any) => () => void;
export interface IDelayedHandlers<TOuterProps> {
    [key: string]: (props: TOuterProps) => DelayedHandler;
}
export interface IWithDelayedHandlers {
    delayTimeout?: number;
    enableDebounce?: boolean;
    enableThrottle?: boolean;
}
export declare const DELAY_TIMEOUT = 200;
export declare const withDelayedHandlers: <TOuterProps = any>(handlers: IDelayedHandlers<TOuterProps>, options?: IWithDelayedHandlers) => import("recompose").ComponentEnhancer<TOuterProps & IWithDelayedHandlers, TOuterProps>;
