import "rxjs/add/observable/of";
import "rxjs/add/operator/combineLatest";
import "rxjs/add/operator/distinctUntilChanged";
import "rxjs/add/operator/map";
import "rxjs/add/operator/switchMap";
import { ComponentEnhancer } from "recompose";
import { IModel, IQueryBuilder, IQueryManager, IQueryParams } from "redux-data-service";
import { IWithLoadingIndicatorProps } from "./WithLoadingIndicator";
export interface IWithModelQueryProps {
    query?: IQueryParams | IQueryBuilder;
    items?: any[];
}
export interface IWithModelQueryMappedProps<T extends IModel<any> = any> {
    query: IQueryManager<any>;
    items: T[];
}
export interface IWithModelQueryOptions extends IWithModelQueryProps, IWithLoadingIndicatorProps {
    modelName?: string;
}
export declare function withModelQuery<P = {}>(options?: IWithModelQueryOptions & P): ComponentEnhancer<P & IWithModelQueryMappedProps, P & IWithModelQueryProps>;
